3130 & 3129 Find All Possible Stable Binary Arrays II | DP | Prefix Sums | Sliding Window

Поделиться
HTML-код
  • Опубликовано: 26 апр 2024
  • In this video, I'll talk about how to solve Leetcode 3130. Find All Possible Stable Binary Arrays II | 3129. Find All Possible Stable Binary Arrays I | DP | Prefix Sums
    Let's Connect:
    📱Discord (Join Community) : / discord
    📝Linkedin: / aryan-mittal-0077
    📸 Instagram: / ez.pz.dsa
    💻 Twitter - / aryan_mittal007
    🤖 Github: github.com/aryan-0077
    About Me:
    I am Aryan Mittal - A Software Engineer in Goldman Sachs, Speaker, Creator & Educator. During my free time, I create programming education content on this channel & also how to use that to grow :)
    ✨ Hashtags ✨
    #programming #Interviews #leetcode #faang #maang #datastructures #algorithms

Комментарии • 26

  • @salmankhader1258
    @salmankhader1258 2 месяца назад +7

    58 mins is worthy to watch it.

  • @nikhiljain8303
    @nikhiljain8303 2 месяца назад +6

    The video for which we were waiting. Thanks @aryan

  • @user-cd7lf8nk4c
    @user-cd7lf8nk4c 2 месяца назад +3

    the optimization from o(n^3) to O(n^2) was difficult to understand

  • @Manjeet-zz1wi
    @Manjeet-zz1wi 2 месяца назад

    Great video sir . It's really awesome to see alumni sharing their expertise.

  • @ARYANMITTAL
    @ARYANMITTAL  2 месяца назад +6

    If we have any doubts on dp problem on Intuition or understanding, do watch this playlist for practice - ruclips.net/p/PLEL7R4Pm6EmCXe8803IBAPWVsHlTVrtOp
    .
    .
    How all Educators are lying to you - ruclips.net/video/PGqOJlv0VeY/видео.html

    • @JRK_RIDES
      @JRK_RIDES 2 месяца назад

      Pin this comment

  • @killeraloo3247
    @killeraloo3247 2 месяца назад

    sab samjh aa gya, accha solution tha.

  • @sushanthgupta626
    @sushanthgupta626 2 месяца назад +2

    How can this question be done in 1 hr 😶😶😶.... HOw to get intution... then optimize... then solve to in just 1hr.. how??

  • @sukhpreetsingh5200
    @sukhpreetsingh5200 2 месяца назад

    bhai awesome explaination

  • @nikhilprakash729
    @nikhilprakash729 2 месяца назад

    great explanation

  • @mayankkharb4164
    @mayankkharb4164 2 месяца назад

    @ARYANMITTAL great video brother. Just a single doubt, in this we are using the prefix concept some people have used a different prefix space to store the prefixes but you made the specific dp state itself as the prefix value by adding it's previous state into it, but when giving the final answer you are returning the dp state itself which is a prefix of dp states till that point, shouldn't you subtract the previous state from it so it isn't the prefix state anymore and then return it?
    Also, i am saying convert it into prefix because in the non-optimal tabulation method you are only adding the alternate 0 or 1 state to add into current state but in the optimal one at the start only you are adding the same 0 or 1 previous state into it which makes it the prefix state till then.

  • @242deepak
    @242deepak Месяц назад

    I am not an english expert but improvisation means making something on the spot and improvement means to improve something. Both are not the same.

  • @coder6109
    @coder6109 2 месяца назад

    dont ever stop bro

  • @gaurish3367
    @gaurish3367 22 дня назад

    amazing video

  • @QWERTY-ee2ys
    @QWERTY-ee2ys 2 месяца назад +4

    Bhai normally explain nahi kar sakta kya? It annoying at times the over exaggeration. Aur tune hi ye problem ka video dala hai so got no option. Anyways good content

  • @helloimjavauser
    @helloimjavauser Месяц назад

    On which writing pad do you write?

  • @Krishna-ti8ys
    @Krishna-ti8ys 2 месяца назад

    Hi @ARYANMITTAL thanks for the solution, I am facing an issue that when i make dp of type dp[zero][one][consecutiveEl][cnt], my solution gets sumitted but when i use dp of type dp[zero][one][cnt][consecutiveEl] it gives tle. Is this some kind of glitch of leetcode as the time complexity of both the type is same. I am very confused.

    • @akashkaruturi5128
      @akashkaruturi5128 2 месяца назад

      if you are using python it will give

    • @Krishna-ti8ys
      @Krishna-ti8ys 2 месяца назад

      @@akashkaruturi5128 I have written my code in c++.

    • @anonymous10906
      @anonymous10906 2 месяца назад

      same problem here with c++

    • @Krishna-ti8ys
      @Krishna-ti8ys 2 месяца назад

      @@akashkaruturi5128 I have written my code in c++

    • @shivrajhulwan2235
      @shivrajhulwan2235 2 месяца назад

      Yes I also faced same issue in the contest

  • @rkb_404
    @rkb_404 2 месяца назад

    why not dp[z - limit][o][1] instead of dp[z - limit - 1][o][1]? Still not able to grasp it

    • @akashmaurya6313
      @akashmaurya6313 Месяц назад

      simply bcz we are counting from limit to z-1.
      for ex - let's say limit is 1 so if we do dp[z - limit][o][1] this means dp[z -1][o][1] but since our limit is 1 that means we have consider 1 previous element then we should do dp[z -2][o][1] instead of dp[z -1][o][1]
      this is why dp[z - limit - 1][o][1]

  • @govindlohar6816
    @govindlohar6816 2 месяца назад +1

    this code is not getting pass with java